<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_d717884ce9fe95b212f" . "09fa38768bc1f" => base64_decode("Y2FsZW5kYXIuZX" . "JyX2VuZF9iZWZv" . "cmVfc3RhcnQ="), "_7771b5dcfeeecba30b34d84c09a21ec" . "4" => base64_decode("Y2FsZW5kYXIuZXJyX" . "2ludmFsaWRfZGF0ZQ" . "=="), "_0c5123aa744f69bbc0e8b3ea" . "2f6e847d" => base64_decode("bG1zZw" . "=="));






class CalendarEventDatePeriod extends DatePeriodDialog
{
    public function __construct($_7392cbdbf5bdf4880fc8e5fbb070663d = false)
    {
        parent::__construct($_7392cbdbf5bdf4880fc8e5fbb070663d);
    }
    
    
    
    
    
    
    public function ValidateStartEnd()
    {
        if (!$this->start || !$this->end) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7771b5dcfeeecba30b34d84c09" . "a21ec4"]));
        }
        
        
        if (Date::compare($this->start, $this->end, 1) <= 0) {
            return true;
        } else {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d717884ce9fe95b212f0" . "9fa38768bc1f"]));
        }
    }
}